package lcsb.mapviewer.services.interfaces;

import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import lcsb.mapviewer.model.Article;
import lcsb.mapviewer.persist.dao.ArticleProperty;

public interface IPublicationService {
  Page<Article> getByFilter(final Pageable pageable, final Map<ArticleProperty, Object> filterOptions);

  long getCountByFilter(final Map<ArticleProperty, Object> filterOptions);

  void add(Article article);
}
