package lcsb.mapviewer.web.api;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import lcsb.mapviewer.web.api.project.chemicals.NewChemicalControllerTest;
import lcsb.mapviewer.web.api.project.drugs.NewDrugControllerTest;
import lcsb.mapviewer.web.api.project.map.bioentity.AllNewBioEntityTests;
import lcsb.mapviewer.web.api.project.mirnas.MiRnaControllerIntegrationTest;
import lcsb.mapviewer.web.api.project.overlay.NewOverlayControllerTest;

@RunWith(Suite.class)
@SuiteClasses({
    AllNewBioEntityTests.class,
    NewChemicalControllerTest.class,
    NewDrugControllerTest.class,
    NewOverlayControllerTest.class,
    MiRnaControllerIntegrationTest.class
})

public class NewApiTests {

}
